echo "Введите имя виртуальной машины, которую нужно поставить в автозагрузку: "
read B

echo "${B}"
VBoxManage controlvm ${B} savestate
VBoxManage modifyvm ${B} --autostart-enabled on

echo "Введите время отсрочки автостарта (по умолчанию 0): "
read V

if (echo "$V" | grep -E -q "^?[0-9]+$"); then
    echo "$V"
else
    V="0"
fi
    VBoxManage modifyvm ${B} --autostart-delay $V

echo "Выбеоите тип автоостановки (по умолчанию - сохранение состояния)"
echo "0 - сохранение состояния"
echo "1 - завершение работы"
echo "2 - отключение питания"
echo "3 - убрать из автостопа"
read T

if (echo "$T" | grep -E -q "^?[0-9]+$"); then
    echo "$T"
else
    T="0"
fi



case $T in
1)
VBoxManage modifyvm ${B} --autostop-type acpishutdown
;;
2)
VBoxManage modifyvm ${B} --autostop-type poweroff
;;
3)
VBoxManage modifyvm ${B} --autostop-type disabled
;;
*)
VBoxManage modifyvm ${B} --autostop-type savestate
;;
esac

#VBoxManage startvm "vm_name" --type headless
service vboxautostart-service restart

mkdir -p ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}
cp -f vm\ start ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ start.sh
cp -f vm\ stop ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ stop.sh
cp -f vm\ stopacpi ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ stopacpi.sh
sed -i '/vm_name/s/vm_name/'${B}'/g' ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ start.sh
sed -i '/vm_name/s/vm_name/'${B}'/g' ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ stop.sh
sed -i '/vm_name/s/vm_name/'${B}'/g' ~/Рабочий\ стол/Управление\ виртуальными\ машинами/${B}/${B}\ stopacpi.sh
