echo "Введите имя виртуальной машины, которую нужно поставить в автозагрузку: "
read B

echo "${B}"
VBoxManage controlvm ${B} savestate

echo "Выбеоите тип автоостановки (по умолчанию - сохранение состояния)"
echo "0 - сохранение состояния"
echo "1 - завершение работы"
echo "2 - отключение питания"
echo "3 - убрать из автостопа"
read T

if (echo "$T" | grep -E -q "^?[0-9]+$"); then
    echo "$T"
else
    T="0"
fi



case $T in
1)
VBoxManage modifyvm ${B} --autostop-type acpishutdown
;;
2)
VBoxManage modifyvm ${B} --autostop-type poweroff
;;
3)
VBoxManage modifyvm ${B} --autostop-type disabled
;;
*)
VBoxManage modifyvm ${B} --autostop-type savestate
;;
esac

service vboxautostart-service restart